#!/usr/local/bin/perl5 -w

use vars qw($usage);
$usage = "$0 <text string to put in holder file>\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

(undef, undef, undef, undef, $forbidfn) = &lock_info;

if (-e $forbidfn) {
  print STDERR "Running is already forbidden on this machine\n";
  exit(-1);
}

open (FH, ">$forbidfn") || die "Could not open forbid file '$forbidfn': $!";
$date = `date`;
chomp $date;
print FH "$date\n";
$who = `whoami`;
chomp $who;
print FH "Running forbidden by $who\n";
print FH (join ' ', @ARGV)."\n";
close FH;

print "Running is now forbidden on this machine\n";
