#!/usr/local/bin/perl5 -w

# This script adds an exit to the top of the game queue iff 
# the games are running now

use vars qw($usage);
$usage = "$0\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

(undef, undef, undef, undef, undef, $rungamelockfn) = &lock_info;

if (-e $rungamelockfn)
  {
    #print "Games seem to be running, prepending exit\n";
    system "$dir/prepend_exit.pl";
  }
else
  {
    #print "Run game queue does not seem to be running, doign nothing\n";
  }
