#!/usr/local/bin/perl5 -w

use vars qw($usage);
$usage = "manual_unlock.pl\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

print "Manually releasing a lock can cause problems!\n";
print "The lock is currently held by: ".(join '', &get_lock_holder)."\n";
print "Are you sure you want to manually release the lock (yes/no)? ";

$_ = <STDIN>;
if (not $_ =~ /yes/i) {
  print "Not releasing the lock\n";
} else {
  $res = &release_lock;

  print "release lock returned $res\n";
}
