#!/usr/local/bin/perl5 -w

# This script reads the gamelist file and runs the games specified

$usage = "$0";

$gameprocess = 'run_game_queue.pl';
#$notifyaddr = 'pfr@cs.cmu.edu';
###

use Cwd;

use vars qw($usage);
$usage = "run_game_queue.pl\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

$hostname = `hostname`;
chomp $hostname;

# first check is there is actually a run_game_queue.pl running
if (`ps -C $gameprocess | wc -l` > 1) {
  system "$dir/prepend_exit.pl"; # this will make sure we exit
  # no more z notify; usually don't have tickets and can cause weird errors
  #zephyr_notify($notifyaddr, "$hostname: stop_game_queue.pl is shuttting us down");
  print <<EOH;
If you are not pfr, you will have to log in as root here in order to kill
off the games. You will be prompted for your password and then the games will die
EOH
  $user = $ENV{"USER"};
  system "su $user.root -c \"/usr/bin/killall rcssserver\"";
  #system "killall rcssserver";
  print <<EOF;
If there is no error message above, then the processes on on their way to dying. 
It make take a minute to clean up...
If processes continue to run, please let me (pfr\@cs.cmu.edu) know
EOF
} else {
print <<EOF;
$gameprocess does not appear to be running. 
If this is incorrect, let me (pfr\@cs.cmu.edu) know
EOF
}
