#!/usr/local/bin/perl5 -w

# This script can to be run to start going through the game queue
# It's a cover for run_game_queue.pl

$usage = "$0";

###

use vars qw($usage $global_notify_addr);
$usage = "run_game_queue.pl\n";

use File::Basename;
$dir = dirname($0); #gets the directory of this script

require "$dir/support.pl";

(undef, undef, undef, undef, $forbidfn) = &lock_info;

$hostname = `hostname`;
chomp $hostname;

if (-e $forbidfn) {
  print "Games are forbidden to run\n";
  open (FH, "<$forbidfn") || die "Could not open forbid file '$forbidfn': $!";
  mail_notify($global_notify_addr, "$hostname",
	      "Games are forbidden from running\n".(join '',<FH>));
  close FH;
  exit(-1);
}

# This used to take an extra argument for where to put the files, but we're just
# going to leave them in the logs dir now
system "$dir/run_game_queue.pl $global_notify_addr > /dev/null";

# no more z notify; usually don't have tickets and can cause weird errors
#zephyr_notify($global_notify_zaddr, "$hostname: daily_game_run.pl completed");
